libsidplayfp::psiddrv Class Reference

## Public Member Functions

| psiddrv (const SidTuneInfo *tuneInfo)
bool | drvReloc ()
void | install (sidmemory &mem, uint8_t video) const
const char * | errorString () const
uint_least16_t | driverAddr () const
uint_least16_t | driverLength () const

## Member Function Documentation

## drvReloc()

bool libsidplayfp::psiddrv::drvReloc | ( |  | ) |

Relocate the driver.

Returns
  false if something's wrong, check errorString for error details

## errorString()

const char * libsidplayfp::psiddrv::errorString | ( |  | ) | const

inline

Get a detailed error message.

Returns
  a pointer to the string

## install()

void libsidplayfp::psiddrv::install | ( | sidmemory & | mem,
|  | uint8_t | video ) const

Install the driver. Must be called after the tune has been placed in memory.

Parameters

  mem | the c64 memory interface
  video | the PAL/NTSC switch value, 0: NTSC, 1: PAL

The documentation for this class was generated from the following files:

- psiddrv.h
- psiddrv.cpp